Bug 121222 - (DRI I865)Kernel Freeze Runinng Screensavers
(DRI I865)Kernel Freeze Runinng Screensavers
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-19 09:03 EDT by Paul Black
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-05 06:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Black 2004-04-19 09:03:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)

Description of problem:
Some screensavers (glxgears and jigglypuff) cause a complete lock up.
X has completely, remote sessions logging in through SSH are also
hung. The machine still responds to ping. No output relating to the
hang is produced in any log files.

The machine in question has an "Intel Corp. 82865G Integrated Graphics
Device" (from lspci).

The failures of these programs to run in the past on Fedora Core 2 has
been the subject of a couple of other bugs (117713 & 119705).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Log in grpahically
2. Run glxgears

Actual Results:  System hangs

Expected Results:  No hang and screensaver should run.

Additional info:

I'm currently using xorg-x11-6.7.0-0.4
Comment 1 Paul Black 2004-04-19 09:04:46 EDT
I should have mentioned that this happens on the non-SMP kernel as well.
Comment 2 Arjan van de Ven 2004-05-03 06:06:58 EDT
can you try the kernel at http://people.redhat.com/arjanv/2.6
we fixed a critical bug in this code yesterday
Comment 3 Paul Black 2004-05-04 03:24:49 EDT
No change; no extra output.
Comment 4 Arjan van de Ven 2004-05-04 13:15:15 EDT
Ok please try the 350 kernel in the url above; I could reproduce this
and it's now fixed for me.
Comment 5 Paul Black 2004-05-05 03:24:28 EDT
Works for me too.

Note You need to log in before you can comment on or make changes to this bug.